TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Root ( elt-ids^fra/ord^num I, elt-ord^rat r ) -> elt-ids^fra/ord^num

### Description

<shortdoc> An rth root of I if such exists. </shortdoc>

### Examples

x_E := FiniteField(29); x_F := FunctionField(x_E); x_E_eckig_t := PolynomialAlgebra(x_E); x_F_eckig_x := PolynomialAlgebra(x_F); x_G := FunctionField((x_F_eckig_x.1)^3 + (x_F.1)^2); x_o := MaximalOrderFinite(x_G); x_B := Basis(x_o); x_a := (x_B[2])^(-7)*x_o; Root(x_a, 7);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack